<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright Patricia Muller and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Theme Name: Freshy
# Version: 1.0
# Author: Julien De Luca
# Author URI: http://www.jide.fr/francais/
# DotClear adaptation: Franck Paul (http://franck.paul.free.fr)
# ***** END LICENSE BLOCK *****
?>

<div class="post">
	<p class="day-date"><?php dcPostDate('%a %e %b %Y'); ?></p>

	<h2 class="post-title" id="p<?php dcPostID(); ?>"><a
	href="<?php dcPostURL(); ?>"><?php dcPostTitle(); ?></a></h2>

	<?php 
		$postraw = dt::str('%a, %d, %m, %Y',strtotime($GLOBALS['news']->f('post_dt')));
		if ($postraw != '') {
			$postdate = explode(', ', $postraw);
		}
	?>
	<small class="date">
		<span class="date_day"><?php echo $postdate[1]; ?></span>
		<span class="date_month"><?php echo $postdate[2]; ?></span>
		<span class="date_year"><?php echo $postdate[3]; ?></span>
	</small>

	<div class="entry">
		<?php dcPostChapo('%s'); ?>
		<?php dcPostContent(); ?>
		<div class="post-footer">&nbsp;</div>
	</div>

</div> <!-- fin .post -->

<div class="postmetadata">
	Par <?php dcPostAuthor(); ?> in <a href="<?php dcPostCatURL(); ?>"><?php dcPostCatTitle(); ?></a>
	<!-- Billet suivant et precedent -->
	<br /><?php dcPostNext(-1,'<a href="%3$s" title="Billet pr&eacute;c&eacute;dent : %2$s">&larr;&nbsp;%2$s</a>'); ?>
	<span>|</span> <?php dcPostNext(1,'<a href="%3$s" title="Billet suivant : %2$s">%2$s&nbsp;&rarr;</a>'); ?>
	<!-- Permalien et fil rss des commentaires
	<br /><a href="<?php dcPostURL(); ?>"
	title="Lien permanent vers : <?php dcPostTitle(); ?>">#<?php dcPostID(); ?></a>
	<span>|</span> <a href="<?php dcInfo('rss'); ?>?type=co&amp;post=<?php dcPostID(); ?>"
	title="fil RSS des commentaires de : <?php dcPostTitle(); ?>">rss</a>
	-->
</div>

	<?php if (!($comments->isEmpty())) : ?>
		<h3 id="comments"><?php printf($comments->nbRow()); ?> commentaire<?php printf($comments->nbRow() > 1 ? 's' : ''); ?> &agrave; <?php dcPostTitle(); ?></h3>
		<dl class="commentlist">
		<?php $oddcomment = ""; ?>
		<?php while ($comments->fetch()) : /* Boucle de commentaires */ ?>

			<?php $oddcomment = ($oddcomment == "" ? " alt" : ""); ?>
			<?php $author_comment_class = ($GLOBALS['comments']->f('comment_auteur') == $GLOBALS['news']->getUserCN()) ? " author_comment" : " none"; ?>
			<?php 
				$commentraw = dt::str('%a, %d, %m, %Y',strtotime($GLOBALS['comments']->f('comment_dt')));
				if ($commentraw != '') {
					$commentdate = explode(', ', $commentraw);
				}
			?>

			<dt class="<?php echo $author_comment_class; ?>">
				<small class="date">
					<span class="date_day"><?php echo $commentdate[1]; ?></span>
					<span class="date_month"><?php echo $commentdate[2]; ?></span>
					<span class="date_year"><?php echo $commentdate[3]; ?></span>
				</small>
			</dt>

			<dd class="commentlist_item <?php echo $oddcomment; echo $author_comment_class; ?>" id="c<?php dcCommentID(); ?>">
				<strong><?php dcCommentAuthor(); ?></strong>
				<small class="commentmetadata"> (<a href="#c<?php dcCommentID(); ?>"><?php dcCommentTime(); ?></a>)</small> :
				<div class="comment"><?php dcCommentContent(); ?></div>
			</dd>

		<?php endwhile; ?>
		</dl>
	<?php endif; ?>

	<?php if (dcPostOpenComments() && dc_allow_comments) : /* Si les commentaires sont permis */?>
		<h3 id="respond">Ajouter un commentaire</h3>
		<?php include dirname(__FILE__).'/form.php'; ?>
	<?php endif; ?>

	<?php if (!($trackbacks->isEmpty())) : ?>
		<h3 id="trackbacks">On en parle ailleurs</h3>
		<dl class="commentlist">
		<?php while ($trackbacks->fetch()) : /* Liste des trackbacks */ ?>

			<?php $oddcomment = ($oddcomment == "" ? " alt" : ""); ?>
			<?php $author_comment_class = ($GLOBALS['comments']->f('comment_auteur') == $GLOBALS['news']->getUserCN()) ? " author_comment" : " none"; ?>
			<?php 
				$commentraw = dt::str('%a, %d, %m, %Y',strtotime($GLOBALS['comments']->f('comment_dt')));
				if ($commentraw != '') {
					$commentdate = explode(', ', $commentraw);
				}
			?>

			<dt class="<?php echo $author_comment_class; ?>">
				<small class="date">
					<span class="date_day"><?php echo $commentdate[1]; ?></span>
					<span class="date_month"><?php echo $commentdate[2]; ?></span>
					<span class="date_year"><?php echo $commentdate[3]; ?></span>
				</small>
			</dt>

			<dd class="commentlist_item <?php echo $oddcomment; echo $author_comment_class; ?>" id="c<?php dcTBID(); ?>">
				<strong><?php dcTBAuthor(); ?></strong>
				<small class="commentmetadata"> (<a href="#c<?php dcTBID(); ?>"><?php dcTBTime(); ?></a>)</small> :
				<div class="comment"><?php dcTBContent(); ?></div>
			</dd>

		<?php endwhile; ?>
		</dl>
	<?php endif; ?>
	
	<?php /*Le lien pour ajouter un trackback si ceux-ci sont autorises*/ ?>
	<?php if (dcPostOpenTrackbacks() && dc_allow_trackbacks) : ?>
		<h3 id="trackback">Pour faire un r&eacute;trolien sur ce billet&nbsp;:</h3>
		<p id="tburl"><?php echo dcPostTrackBackURI(); ?></p>
	<?php endif; ?>
