<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright Patricia Muller and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Theme Name: Freshy
# Version: 1.0
# Author: Julien De Luca
# Author URI: http://www.jide.fr/francais/
# DotClear adaptation: Franck Paul (http://franck.paul.free.fr)
# ***** END LICENSE BLOCK *****
?>

<!-- Franck Paul : Ajout du traitement initial pour la pagination -->
<?php if (!empty($is_paginated)) dcPagination::restoreMode(); ?>
<!-- Franck Paul -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>"
lang="<?php dcInfo('lang'); ?>">
<head>
	<meta http-equiv="Content-Type"
	content="text/html; charset=<?php dcInfo('encoding'); ?>" />
	<meta http-equiv="Content-Language" content="<?php dcInfo('lang'); ?>" />
	<meta name="MSSmartTagsPreventParsing" content="TRUE" />
	<?php dcHeadLinks(); ?>
	<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom" href="<?php dcInfo('atom'); ?>" />
	<meta name="DC.title" content="<?php dcInfo(); ?>" />
	<title><?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - ');
	dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?></title>

	<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
	<?php dcPostTrackbackAutoDiscovery(); ?>
</head>

<body>

<div id="page">
<ul id="prelude">
	<li><a href="#content">Aller au contenu</a></li>
	<li> | <a href="#sidebar">Aller au menu</a></li>
	<li> | <a href="#search">Aller &agrave; la recherche</a></li>
</ul>

<div id="header">
	<div id="title">
		<h1><a href="<?php dcInfo('url'); ?>" title="Accueil" accesskey="1"><?php dcInfo(); ?></a></h1>
		<div class="description"><small><?php echo dc_blog_desc; ?></small></div>
	</div> <!-- end #title -->
	<div id="title_image">
	</div>

</div> <!-- end #header -->

<div id="frame">

	<ul class="menu">
		<?php if ($mode == 'home') : ?>
		<li class="current_page_item">
		<?php else : ?>
		<li class="page_item">
		<?php endif; ?>
		<a class="first_menu" href="<?php dcInfo('url'); ?>">Accueil</a></li>
<!-- Franck Paul : items supplementaires -->
		<li class="page_item"><a href="#" title="Infos" accesskey="8">Infos</a></li>
		<li class="page_item"><a href="#" title="Aide" accesskey="6">Aide</a></li>
		<li class="last_menu"><a class="last_menu" href="#" title="Contact" accesskey="7">Contact</a></li>
<!-- Franck Paul -->
	</ul>
	<hr style="display:none"/>
	
	<div id="content">
	<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
		<div class="error"><strong>Erreur : </strong>
		<?php echo $err_msg; ?></div>

	<?php elseif ($preview) : /* Si on demande la previsualisation d'un commentaire */?>
		<div class="post">
		<h3 id="comments">Commentaire pour <?php dcPostTitle(); ?></h3>
		<ol class="commentlist commentpreview">
		<li>
		<?php dcCommentPreview(); ?>
		</li>
		</ol>
		<h3 id="respond">Changer le commentaire</h3>
		<?php include dirname(__FILE__).'/form.php'; ?>
		</div>
		
	<?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>
		<?php # Phrase affichee en cas de recherche (%s est le mot cherche)
		dcSearchString('<p>R&eacute;sultats de votre recherche de <em>%s</em>.</p>');
		?>
		<?php include dirname(__FILE__).'/list.php'; ?>
		
	<?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
		<?php include dirname(__FILE__).'/post.php'; ?>
	<?php endif; ?>
	</div> <!-- end #content -->

	<div id="sidebar">
		<?php if ($mode == 'post') : ?>
			<div id="postmetadata">
			<h2>Informations</h2>
			<ul>
			<li><strong>Date de publication :</strong><br />le <?php dcPostDate(); ?> &agrave; <?php dcPostTime(); ?></li>
			<li><strong>Auteur :</strong><br /><?php dcPostAuthor(); ?></li>
			<li><strong>Cat&eacute;gorie :</strong><br /><a href="<?php dcPostCatURL(); ?>"><?php dcPostCatTitle(); ?></a></li>
			<!-- Franck Paul : ajout des statistiques -->
			<?php if (isset($_SESSION['sess_user_id']) && defined('DC_ECRIRE')) : ?>
				<li><strong>Statistiques :</strong><br />
				<?php dcPostNbComments('aucun commentaire','1 commentaire','%s commentaires'); ?><br />
				<?php dcPostNbTrackbacks('aucun r&eacute;trolien','1 r&eacute;trolien','%s r&eacute;troliens'); ?></li>
			<?php endif; ?>
			<!-- Franck Paul -->
			</ul>
			</div>

			<div id="postaction">
			<h2>Actions</h2>
			<ul>
			<?php if (dcPostOpenComments() && dc_allow_comments) : /* Si les commentaires sont permis */?>
				<li>Pour r&eacute;diger un commentaire sur ce billet, rendez-vous <a href="#respond">ici</a>.</li>
			<?php endif; ?>
			<li>Pour suivre le fil des commentaires de ce billet, abonnez-vous &agrave; ce <a href="<?php dcInfo('rss'); ?>?type=co&amp;post=<?php dcPostID(); ?>"
		title="fil RSS des commentaires de : <?php dcPostTitle(); ?>">fil rss</a>.</li>
			<li>Pour citer ce billet ailleurs, utilisez ce <a href="<?php dcPostURL(); ?>"
		title="Lien permanent vers : <?php dcPostTitle(); ?>">lien</a> [#<?php dcPostID(); ?>].</li>
			<?php if (dcPostOpenTrackbacks() && dc_allow_trackbacks) : /* Si les trackbacks sont permis */ ?>
				<li>Pour faire un r&eacute;trolien chez vous sur ce billet, utilisez ce <a href="<?php dcPostTrackBackURI(); ?>">lien</a>.</li>
			<?php endif; ?>
				<li>Vous pouvez aussi lire&nbsp;:<ul>
					<?php dcPostNext(-1,'<li><a href="%3$s" title="Billet pr&eacute;c&eacute;dent : %2$s">Le billet pr&eacute;c&eacute;dent&nbsp;: %2$s</a></li>'); ?>
					<?php dcPostNext(1,'<li><a href="%3$s" title="Billet suivant : %2$s">Le billet suivant&nbsp;: %2$s</a></li>'); ?></ul></li>
			</ul>
			</div>
		<?php endif; ?>

		<div id="calendar">
		<h2>Calendrier</h2>
		<?php #Affichage du calendrier
		dcCalendar('<table summary="Calendrier">%s</table>'); ?>
		</div>
	
		<div>
		<h2><label for="q">Rechercher</label></h2>
		<form id="searchform" action="<?php dcInfo('search'); ?>" method="get">			
			<p><input name="q" id="q" type="text" size="12"
			value="<?php dcSearchString(); ?>" accesskey="4" /><input type="submit" class="submit btn" value="Recherche" /></p>
		</form>
		</div>
	
		<?php if ($mode != 'post') : ?>
			<?php dcSelection('<div id="selection"><h2>&Agrave; retenir</h2><ul>%s</ul></div>'); ?>
		<?php endif; ?>
		
		<?php dcLangList('<div id="languages"><h2>Langues</h2><ul>%s</ul></div>'); ?>
		
		<div id="categories">
		<h2>Cat&eacute;gories</h2>
		<?php dcCatList(); ?>
		</div>

		<div id="archives">
		<h2>Archives</h2>
		<?php dcMonthsList(); ?>
		</div>
		
		<?php if ($mode != 'post') : ?>
			<div id="links">
			<h2>Liens</h2>
			<ul>
				<?php dcBlogroll::linkList('<li>%s', '<ul class=\'children\'>%s</ul></li>'); ?>
			</ul>
			</div>
		<?php endif; ?>
	
		<div id="syndicate">
		<h2>Syndication</h2>
		<ul>
			<li><a href="<?php dcInfo('rss'); ?>">fil rss</a></li>
			<li><a href="<?php dcInfo('rss'); ?>?type=co">fil rss commentaires</a></li>
			<li><a href="<?php dcInfo('atom'); ?>">fil atom</a></li>
			<li><a href="<?php dcInfo('atom'); ?>?type=co">fil atom commentaires</a></li>
		</ul>
		</div>

	</div> <!-- end #sidebar -->

	<br style="clear:both" /><!-- without this little <br /> NS6 and IE5PC do not stretch the frame div down to encopass the content DIVs -->

</div> <!-- end #frame -->

<hr style="display:none"/>
<div id="footer">
	<small class="footer_content">
		Th&egrave;me Freshy (<a href="http://www.jide.fr/francais/">Julien De Luca</a>) adapt&eacute; pour <a href="http://www.dotclear.net/">DotClear</a> par <a href="http://franck.paul.free.fr/dotclear/">Franck Paul</a>
	</small>
</div>

</div> <!-- end #page -->

</body>
</html>
